Bric::Dist::Action::HTMLClean(3)

NAME
Bric::Dist::Action::HTMLClean - Class to Clean up and reformat HTML files.

VERSION
$LastChangedRevision$

DATE
$LastChangedDate: 2006-03-18 01:26:34 +0100 (Sat, 18 Mar 2006) $

SYNOPSIS
  use Bric::Dist::Action::HTMLClean;

  my $id = 1; # Assume that this is an HTMLClean action.
  # This line will automatically instantiate the correct subclass.
  my $action = Bric::Dist::Action->lookup({ id => $id });

  # Perform the action on a list of resources.
  action = $action->do_it($resources_href);
  # Undo the action on a list of resources.
  action = $action->undo_it($resources_href);

DESCRIPTION
This subclass of Bric::Dist::Action can be used to clean up and reformat HTML pages. No additional properties are required, though we may choose to add more later.

INTERFACE

  Constructors
Inherited from Bric::Dist::Action.

  Destructors

$ak->DESTROY
    Dummy method to prevent wasting time trying to AUTOLOAD DESTROY.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

  Public Class Methods
See Bric::Dist::Action.

  Public Instance Methods
See Bric::Dist::Action.

$self = $action->do_it($job, $server_type)
    Cleans the HTML files for a given job and server type.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

PRIVATE

  Private Class Methods
NONE.

  Private Instance Methods

$action = $action->_clear_attr
    Deletes all attributes from this Bric::Dist::Action::HTMLClean instance. Called by Bric::Dist::Action::set_type() above so that all the attributes can be cleared before reblessing the action into a different action subclass.

    Throws:

    •   Problems retrieving fields.

    •   Incorrect number of args to Bric::_set().

    •   Bric::set() - Problems setting fields.

    •   Unable to connect to database.

    •   Unable to prepare SQL statement.

    •   Unable to execute SQL statement.

    •   Unable to bind to columns to statement handle.

    •   Unable to fetch row from statement handle.

    Side Effects: NONE.

    Notes: NONE.

  Private Functions
NONE.

NOTES
NONE.

AUTHOR
David Wheeler <david@justatheory.com>

SEE ALSO
Bric, Bric::Dist::Action